Prototype Pollution

2019-06-28T20:09:30
ID NODEJS:1030
Type nodejs
Reporter Snyk Security Team
Modified 2019-07-16T21:35:25

Description

Overview

Versions of deeply prior to 1.0.1 are vulnerable to Prototype Pollution. The package fails to validate which Object properties it updates. This allows attackers to modify the prototype of Object, causing the addition or modification of an existing property on all objects.

Recommendation

Upgrade to version 3.1.0 or later.

References